Bug 1472319 - disk alias as required property has no default
disk alias as required property has no default
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
4.1.4
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: nobody nobody
meital avital
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 09:04 EDT by Dusan Fodor
Modified: 2017-07-25 05:18 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 05:18:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dusan Fodor 2017-07-18 09:04:10 EDT
Description of problem:
When adding disk to VM, you have to specify it's alias (which is correct), but i believe it should have some default value, as it had before, but now it does not.

Maybe it might be related to https://bugzilla.redhat.com/show_bug.cgi?id=1470802 and it's patch?

Version-Release number of selected component (if applicable):

How reproducible:
1. Try to create new disk

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Allon Mureinik 2017-07-19 08:51:44 EDT
Tested both on the current master (commit 9ae8dc4) and on 4.1.
- When creating a disk from a VM's context, the default suggested alias is ${VM_NAME}_Disk${DISK_NUMBER}.
- When creating a disk from the disks' main tab, the default alias is blank and the user needs to specify it.

I don't have older systems available offhand, but IIRC, this has been the behavior for several versions now.

Dusan - can you clarify where you encountered this problem, and how the behavior is from what you're used to?
Comment 2 Dusan Fodor 2017-07-25 05:16:29 EDT
Hello Allon,
for some reason, i wasn't able to reproduce it, even on same version, so i believe this can be closed
Sorry for the noise

Note You need to log in before you can comment on or make changes to this bug.